classification
Title: PCBuild8 Solution Support Changes
Type: Stage:
Components: Build, Windows Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: JosephArmbruster, christian.heimes, kevinwatters
Priority: normal Keywords:

Created on 2007-10-24 03:12 by JosephArmbruster, last changed 2007-11-20 10:21 by christian.heimes. This issue is now closed.

Files
File name Uploaded Description Edit
pcbuild8_for_ssl.patch JosephArmbruster, 2007-10-24 03:12
Messages (4)
msg56698 - (view) Author: Joseph Armbruster (JosephArmbruster) Date: 2007-10-24 03:12
The following observations were made of the PCBuild8 solution:

1  pyproject.vsprops was missing usermacros for tcltk / msi
2  no vcproj for ssl module like the PCBuild solution has
3  _msi project did not havea valid includedir
4  _tkinter did not have a valid includedir


Suggested Changes:


1  I would like to suggest adding macros such as the following to the
pyproject.vsprops.  These could then be referenced throughout the
associated projects.

<UserMacro
  Name="tcltkDir"
  Value="..\..\..\tcltk"
/>
<UserMacro
  Name="msinstDir"
  Value="C:\MsiIntel.SDK\"
/>

Reasoning: To continue to promote pyproject.vsprops as being an
almost-one-stop-shop for setting relative locations of third party
libraries.  This can be done in the following way:

- tcltkDir could be used to add a valid includedir to the _tkinter project
- msinstDir could be used to add a valid includedir to the _msi project.


2  no vcproj for ssl module like the PCBuild solution has

See: pcbuild8_for_ssl.patch... The only thing left to do is add the
associated _ssl project to the vsproj.

Reasoning: To let their be a way to build the ssl module.

Note: I suppose there could have been good reason for not putting in the
_ssl module, since it uses a support .bat / .py to build (but that's for
better people to decide)


3 If 1 is satisfied, a standard includedir variable could be added


4 If 1 is satisfied, a standard includedir variable could be added


I am hesitant to submit a full patch for all of these here, since it may
be decided that some of these be treated as separate issues.  If a full
patch is desired I can submit one.
msg56906 - (view) Author: Kevin Watters (kevinwatters) Date: 2007-10-29 15:26
This patch did not work for me.

After running build_ssl.bat, the last couple lines of my console are:

        cl /Fotmp32dll\cfb_enc.obj  -Iinc32 -Itmp32dll /MD /Ox /O2 /Ob2
/W3 /WX
/Gs0 /GF /Gy /nologo -DOPENSSL_SYSNAME_WIN32 -DWIN32_LEAN_AND_MEAN
-DL_ENDIAN -D
DSO_WIN32 -D_CRT_SECURE_NO_DEPRECATE -DBN_ASM -DMD5_ASM -DSHA1_ASM
-DRMD160_ASM
-DOPENSSL_USE_APPLINK -I. /Fdout32dll -DOPENSSL_NO_IDEA -DOPENSSL_NO_RC5
-DOPENS
SL_NO_MDC2 -DOPENSSL_NO_KRB5 -D_WINDLL  -DOPENSSL_BUILD_SHLIBCRYPTO -c
.\crypto\
des\cfb_enc.c
cfb_enc.c
        cl /Fotmp32dll\ofb64ede.obj  -Iinc32 -Itmp32dll /MD /Ox /O2 /Ob2
/W3 /WX
 /Gs0 /GF /Gy /nologo -DOPENSSL_SYSNAME_WIN32 -DWIN32_LEAN_AND_MEAN
-DL_ENDIAN -
DDSO_WIN32 -D_CRT_SECURE_NO_DEPRECATE -DBN_ASM -DMD5_ASM -DSHA1_ASM
-DRMD160_ASM
 -DOPENSSL_USE_APPLINK -I. /Fdout32dll -DOPENSSL_NO_IDEA
-DOPENSSL_NO_RC5 -DOPEN
SSL_NO_MDC2 -DOPENSSL_NO_KRB5 -D_WINDLL  -DOPENSSL_BUILD_SHLIBCRYPTO -c
.\crypto
\des\ofb64ede.c
ofb64ede.c
        cl /Fotmp32dll\enc_read.obj  -Iinc32 -Itmp32dll /MD /Ox /O2 /Ob2
/W3 /WX
 /Gs0 /GF /Gy /nologo -DOPENSSL_SYSNAME_WIN32 -DWIN32_LEAN_AND_MEAN
-DL_ENDIAN -
DDSO_WIN32 -D_CRT_SECURE_NO_DEPRECATE -DBN_ASM -DMD5_ASM -DSHA1_ASM
-DRMD160_ASM
 -DOPENSSL_USE_APPLINK -I. /Fdout32dll -DOPENSSL_NO_IDEA
-DOPENSSL_NO_RC5 -DOPEN
SSL_NO_MDC2 -DOPENSSL_NO_KRB5 -D_WINDLL  -DOPENSSL_BUILD_SHLIBCRYPTO -c
.\crypto
\des\enc_read.c
enc_read.c
.\crypto\des\enc_read.c(150) : error C2220: warning treated as error -
no 'objec
t' file generated
.\crypto\des\enc_read.c(150) : warning C4996: 'read' was declared deprecated
        C:\Program Files\Microsoft Visual Studio 8\VC\INCLUDE\io.h(329)
: see de
claration of 'read'
        Message: 'The POSIX name for this item is deprecated. Instead,
use the I
SO C++ conformant name: _read. See online help for details.'
.\crypto\des\enc_read.c(172) : warning C4996: 'read' was declared deprecated
        C:\Program Files\Microsoft Visual Studio 8\VC\INCLUDE\io.h(329)
: see de
claration of 'read'
        Message: 'The POSIX name for this item is deprecated. Instead,
use the I
SO C++ conformant name: _read. See online help for details.'
NMAKE : fatal error U1077: '"C:\Program Files\Microsoft Visual Studio
8\VC\BIN\c
l.EXE"' : return code '0x2'
Stop.
Executing ms\ntdll.mak failed
2
msg56907 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-10-29 15:58
Kevin,

It's a known issue which is solved in newer version of OpenSSL. I hope
to convince somebody to update the packages someday.
msg57700 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-11-20 10:21
I've fixed most of the problems in the last couple of days. On my box VS
2005 builds the ssl, tkinter and msi modules. However the future lies in
PCbuild9 and VS 2008.
History
Date User Action Args
2007-11-20 10:21:55christian.heimessetstatus: open -> closed
resolution: fixed
messages: + msg57700
2007-10-29 15:58:21christian.heimessetnosy: + christian.heimes
messages: + msg56907
2007-10-29 15:26:39kevinwatterssetnosy: + kevinwatters
messages: + msg56906
2007-10-24 03:12:34JosephArmbrustercreate